app_mode = production
instance_name = {{ server }}

# Directories
[paths]
data = /home/jingrow/grafana/data
logs = /home/jingrow/grafana/logs
plugins = /home/jingrow/grafana/plugins
datasources = /home/jingrow/grafana/datasources

# HTTP options
[server]
protocol = http
http_addr = 127.0.0.1
http_port = 3000
domain = {{ server }}
root_url = https://{{ server }}/grafana
serve_from_sub_path = true

# Security
[security]
admin_user = admin
admin_password = {{ grafana_password }}
allow_sign_up = false
default_theme = dark

# Dashboards
[dashboards]
versions_to_keep = 20

[dashboards.json]
enabled = true
path = /home/jingrow/grafana/dashboards

# Logging
[log]
mode = 'console, file'
level = 'info'

[metrics]
enabled = true
